Bug 1475564 - Review Request: python-pytest-fixture-config - Simple configuration objects for Py.test fixtures
Review Request: python-pytest-fixture-config - Simple configuration objects f...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 18:07 EDT by Kevin Fenzi
Modified: 2017-08-13 18:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (9.25 KB, text/plain)
2017-07-27 11:32 EDT, Randy Barlow
no flags Details
review-2.txt (7.87 KB, text/plain)
2017-07-27 17:10 EDT, Randy Barlow
no flags Details

  None (edit)
Description Kevin Fenzi 2017-07-26 18:07:58 EDT
Spec URL: https://www.scrye.com/~kevin/fedora/review/python-pytest-fixture-config/python-pytest-fixture-config.spec
SRPM URL: https://www.scrye.com/~kevin/fedora/review/python-pytest-fixture-config/python-pytest-fixture-config-1.2.11-1.fc27.src.rpm
Description: Simple configuration objects for Py.test fixtures
Fedora Account System Username: kevin

rpmlint says:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

koji scratch build:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package is needed for python-setuptools tests.
Comment 1 Randy Barlow 2017-07-27 11:32 EDT
Created attachment 1305478 [details]
review.txt
Comment 2 Randy Barlow 2017-07-27 11:37:31 EDT
There is only one thing that must be fixed for approval: the package does need py.test so it should Require it.

Other than that, I had a few optional suggestions:

* If you use github for Source0, you can include the LICENSE file. It introduces
  some other questions though, since the git repo contains other packages too. See
  the attached review.txt for details.
* I recommend filing a bug against python3 to get it to own the __pycache__ folder.

Anyways, I'm prepared to approve if you add the requirements on py.test.
Comment 3 Kevin Fenzi 2017-07-27 16:48:51 EDT
ok, -2 at the same place with the requires added:

Spec URL: https://www.scrye.com/~kevin/fedora/review/python-pytest-fixture-config/python-pytest-fixture-config.spec
SRPM URL: https://www.scrye.com/~kevin/fedora/review/python-pytest-fixture-config/python-pytest-fixture-config-1.2.11-2.fc27.src.rpm

I thought about using the github project, but I think that would just complicate things more since all those other things are there in the same repo.
Comment 4 Randy Barlow 2017-07-27 17:10 EDT
Created attachment 1305655 [details]
review-2.txt
Comment 5 Randy Barlow 2017-07-27 17:10:54 EDT
Looks good!
Comment 6 Gwyn Ciesla 2017-08-13 18:47:06 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-fixture-config
Comment 7 Gwyn Ciesla 2017-08-13 18:48:22 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-fixture-config

Note You need to log in before you can comment on or make changes to this bug.